Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ij.io
Class TiffDecoder

    java.lang.Object
      ij.io.TiffDecoder

public class TiffDecoder
extends java.lang.Object

Decodes single and multi-image TIFF files. LZW decompression code contributed by Curtis Rueden.

Field Summary
`static int` | `BITS_PER_SAMPLE`
`static int` | `COLOR_MAP`
`static int` | `COMPRESSION`
`static int` | `DATE_TIME`
`protected boolean` | `debugMode`
`static int` | `IMAGE_DESCRIPTION`
`static int` | `IMAGE_LENGTH`
`static int` | `IMAGE_WIDTH`
`protected RandomAccessStream` | `in`
`static int` | `IPLAB`
`static int` | `META_DATA`
`static int` | `META_DATA_BYTE_COUNTS`
`static int` | `METAMORPH1`
`static int` | `METAMORPH2`
`static int` | `NEW_SUBFILE_TYPE`
`static int` | `NIH_IMAGE_HDR`
`static int` | `PHOTO_INTERP`
`static int` | `PLANAR_CONFIGURATION`
`static int` | `PREDICTOR`
`static int` | `RESOLUTION_UNIT`
`static int` | `ROWS_PER_STRIP`
`static int` | `SAMPLE_FORMAT`
`static int` | `SAMPLES_PER_PIXEL`
`static int` | `SOFTWARE`
`static int` | `STRIP_BYTE_COUNT`
`static int` | `STRIP_OFFSETS`
`static int` | `X_RESOLUTION`
`static int` | `Y_RESOLUTION`

Constructor Summary
`TiffDecoder(java.io.InputStream in, java.lang.String name)`
`TiffDecoder(java.lang.String directory, java.lang.String name)`

Method Summary
`void` | `enableDebugging()`
`FileInfo[]` | `getTiffInfo()`
`void` | `saveImageDescription(byte[] description, FileInfo fi)` Save the image description in the specified FileInfo.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NEW_SUBFILE_TYPE

    public static final int NEW_SUBFILE_TYPE

See Also:
  Constant Field Values

### IMAGE_WIDTH

    public static final int IMAGE_WIDTH

See Also:
  Constant Field Values

### IMAGE_LENGTH

    public static final int IMAGE_LENGTH

See Also:
  Constant Field Values

### BITS_PER_SAMPLE

    public static final int BITS_PER_SAMPLE

See Also:
  Constant Field Values

### COMPRESSION

    public static final int COMPRESSION

See Also:
  Constant Field Values

### PHOTO_INTERP

    public static final int PHOTO_INTERP

See Also:
  Constant Field Values

### IMAGE_DESCRIPTION

    public static final int IMAGE_DESCRIPTION

See Also:
  Constant Field Values

### STRIP_OFFSETS

    public static final int STRIP_OFFSETS

See Also:
  Constant Field Values

### SAMPLES_PER_PIXEL

    public static final int SAMPLES_PER_PIXEL

See Also:
  Constant Field Values

### ROWS_PER_STRIP

    public static final int ROWS_PER_STRIP

See Also:
  Constant Field Values

### STRIP_BYTE_COUNT

    public static final int STRIP_BYTE_COUNT

See Also:
  Constant Field Values

### X_RESOLUTION

    public static final int X_RESOLUTION

See Also:
  Constant Field Values

### Y_RESOLUTION

    public static final int Y_RESOLUTION

See Also:
  Constant Field Values

### PLANAR_CONFIGURATION

    public static final int PLANAR_CONFIGURATION

See Also:
  Constant Field Values

### RESOLUTION_UNIT

    public static final int RESOLUTION_UNIT

See Also:
  Constant Field Values

### SOFTWARE

    public static final int SOFTWARE

See Also:
  Constant Field Values

### DATE_TIME

    public static final int DATE_TIME

See Also:
  Constant Field Values

### PREDICTOR

    public static final int PREDICTOR

See Also:
  Constant Field Values

### COLOR_MAP

    public static final int COLOR_MAP

See Also:
  Constant Field Values

### SAMPLE_FORMAT

    public static final int SAMPLE_FORMAT

See Also:
  Constant Field Values

### METAMORPH1

    public static final int METAMORPH1

See Also:
  Constant Field Values

### METAMORPH2

    public static final int METAMORPH2

See Also:
  Constant Field Values

### IPLAB

    public static final int IPLAB

See Also:
  Constant Field Values

### NIH_IMAGE_HDR

    public static final int NIH_IMAGE_HDR

See Also:
  Constant Field Values

### META_DATA_BYTE_COUNTS

    public static final int META_DATA_BYTE_COUNTS

See Also:
  Constant Field Values

### META_DATA

    public static final int META_DATA

See Also:
  Constant Field Values

### in

    protected RandomAccessStream in

### debugMode

    protected boolean debugMode

Constructor Detail

### TiffDecoder

    public TiffDecoder(java.lang.String directory,
                       java.lang.String name)

### TiffDecoder

    public TiffDecoder(java.io.InputStream in,
                       java.lang.String name)

Method Detail

### saveImageDescription

    public void saveImageDescription(byte[] description,
                                     FileInfo fi)

  Save the image description in the specified FileInfo. ImageJ saves spatial and density calibration data in this string. For stacks, it also saves the number of images to avoid having to decode an IFD for each image.

### enableDebugging

    public void enableDebugging()

### getTiffInfo

    public FileInfo[] getTiffInfo()
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD